Get all contract party contacts
get
/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractParty/{ContractPartyUniqID}/child/ContractPartyContact
Request
Path Parameters
-
ContractPartyUniqID(required): string
This is the hash key of the attributes which make up the composite key--- Id and MajorVersion ---for the Contract Parties resource and used to uniquely identify an instance of Contract Parties. The client should not generate the hash key value. Instead, the client should query on the Contract Parties collection resource with a filter on the primary key values in order to navigate to a specific instance of Contract Parties.
For example: ContractParty?q=Id=<value1>;MajorVersion=<value2> -
contractsUniqID(required): string
This is the hash key of the attributes which make up the composite key for the Contracts resource and used to uniquely identify an instance of Contracts. The client should not generate the hash key value. Instead, the client should query on the Contracts collection resource in order to navigate to a specific instance of Contracts to get the hash key.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- ContractPartyContactExtUniqueKey: Finds a contract party contact with the specified external unique key.
Finder Variables:- ExternalKey; string.
- ExternalSource; string.
- ContractPartyContactPuidAltKey: Finds a contract party contact with the specified alternate key PUID.
Finder Variables:- ContactPuid; string; The public unique identifier of the contract party contact.
- PrimaryKey: Finds the contract party contact with the specified ID and major version.
Finder Variables:- Id; integer; The unique identifier of the contract.
- MajorVersion; integer; The major version the contract.
- ContractPartyContactExtUniqueKey: Finds a contract party contact with the specified external unique key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AccessLevel; string; The access level of a contract party contact.
- AccessLevelName; string; The name of the access level of the contract party contact.
- ContactId; integer; The unique identifier of the contact.
- ContactPuid; string; Contact PUID
- ContactRoleCode; string; The code indicating the role of the contract party contact.
- EmailAddress; string; The email address of a contract party contact.
- EndDate; string; End Date
- ExternalKey; string; The key identifier of the contract party contact in the external source system.
- ExternalSource; string; The name of external source system where the contract party contact is imported from.
- Id; integer; The unique identifier of the contract party contact.
- MajorVersion; integer; The version of the contract party contact.
- OwnerFlag; boolean; indicates whether the contact is the owner of the contract.
- PartyContactName; string; The name of the contract party contact.
- Role; string; The role of the contract party contact.
- RoutingSequence; number; Signing Sequence
- SignatureRole; string; Signatory Role Code
- SignatureRoleMeaning; string; Signatory Role
- SignerSequence; integer; Singer Sequence
- StartDate; string; Start Date
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : contracts-ContractParty-ContractPartyContact
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : contracts-ContractParty-ContractPartyContact-item-response
Type:
Show Source
object-
AccessLevel: string
Title:
AccessMaximum Length:30The access level of a contract party contact. -
AccessLevelName: string
The name of the access level of the contract party contact.
-
ContactId: integer
(int64)
The unique identifier of the contact.
-
ContactPuid: string
Title:
Party Contact PUIDMaximum Length:120Contact PUID -
ContactRoleCode: string
Title:
RoleMaximum Length:30The code indicating the role of the contract party contact. -
ContractPartyContactFlexfieldVA: array
Contract Party Contact Flexfields
Title:
Contract Party Contact FlexfieldsThe contract party contact flex field resource is used to view, create, update contract party contact flex field information. -
EmailAddress: string
Title:
EmailThe email address of a contract party contact. -
EndDate: string
(date)
Title:
End DateEnd Date -
ExternalKey: string
Maximum Length:
120The key identifier of the contract party contact in the external source system. -
ExternalSource: string
Maximum Length:
120The name of external source system where the contract party contact is imported from. -
Id: integer
(int64)
The unique identifier of the contract party contact.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MajorVersion: integer
(int64)
Default Value:
1The version of the contract party contact. -
OwnerFlag: boolean
Title:
Ownerindicates whether the contact is the owner of the contract. -
PartyContactName: string
The name of the contract party contact.
-
Role: string
The role of the contract party contact.
-
RoutingSequence: number
Title:
Signing SequenceSigning Sequence -
SignatureRole: string
Title:
Signature RoleMaximum Length:30Signatory Role Code -
SignatureRoleMeaning: string
Signatory Role
-
SignerSequence: integer
Title:
Display SequenceSinger Sequence -
StartDate: string
(date)
Title:
Start DateStart Date
Nested Schema : Contract Party Contact Flexfields
Type:
arrayTitle:
Contract Party Contact FlexfieldsThe contract party contact flex field resource is used to view, create, update contract party contact flex field information.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : contracts-ContractParty-ContractPartyContact-ContractPartyContactFlexfieldVA-item-response
Type:
Show Source
object-
__FLEX_Context: string
Title:
Context SegmentMaximum Length:90Descriptive Flexfield: structure definition of the user descriptive flexfield. -
__FLEX_Context_DisplayValue: string
Title:
Context SegmentContext Segment -
Id: integer
(int64)
Contract Party Contact Flexfield ID
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
MajorVersion: integer
(int64)
Default Value:
1Major Version
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
The following example shows how to get all contract party contacts by submitting a GET request on the REST resource using cURL.
cURL Command
curl -X GET "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/{contractsUniqID}/child/ContractParty/{ContractPartyUniqID}/child/ContractPartyContact" \
-u "username:password" \
-H "REST-Framework-Version: 8"
Example of Response Body
The following shows the contents of the response body in JSON format.
{
"items": [
{
"Id": 999990000000003,
"MajorVersion": 1,
"ExternalSource": null,
"ExternalKey": null,
"InvConvRateTypeName": null,
"InvConvRateDateTypeName": null,
"OrgName": "Vision Operations",
"OrgId": 204,
"ContractTypeName": "Sell : Project lines",
"ContractClass": "CONTRACT",
"ContractTypeId": 104,
"ContractNumber": "ECM Contract : 999990000000003",
"ContractNumberModifier": null,
"Cognomen": "ECM Contract : 999990000000003",
"BuyOrSell": "S",
"PartyId": 1001,
"PartyName": "A T & T SOLUTIONS INC",
"InvOrganizationId": 204,
"StsCode": "ACTIVE",
"CurrencyCode": "USD",
"StartDate": "2008-08-06",
"EndDate": "2009-08-06",
"TrnCode": null,
"SupplierId": null,
"SupplierSiteId": null,
"InvConvRateType": null,
"InvConvRateDateType": null,
"InvConvRateDate": null,
"InvTrxTypeId": 324,
"InvTrxTypeName": "Inv-Consult-South",
"InvPrepayTrxTypeId": null,
"InvPrepayTrxTypeName": null,
"BillToAccountId": 1001,
"BillToAccount": "A T & T SOLUTIONS INC",
"BillToAccountNumber": "1001",
"BillToSiteUseId": 1006,
"BillToSiteUseLocation": "New York (OPS)",
"BillToAddress": "32 Ave of the Americas,NEW YORK, NY 10013",
"ShipToAccountId": 1001,
"ShipToAccount": "A T & T SOLUTIONS INC",
"ShipToAccountNumber": "1001",
"ShipToSiteUseId": 1008,
"ShipToSiteUseLocation": "Parsippany (OPS)",
"ShipToAddress": "3455 Elm Street,NJ",
"ShipToAccountDescription": "AT&T",
"SoldToAccountId": null,
"SoldToAccount": null,
"SoldToAccountNumber": null,
"SoldToSiteId": null,
"SoldToNumber": null,
"SoldToAddress": null,
"SoldToAccountDescription": null,
"ShipInvOrgId": 204,
"RecvInvOrgId": null,
"LegalEntityId": 204,
"OutputTaxClassificationCode": null,
"DateApproved": "2008-08-05",
"DatetimeCancelled": null,
"DateSigned": "2008-08-05",
"DateTerminated": null,
"TerminateCancelSource": null,
"ContributionPercent": null,
"BillSequence": null,
"OverallRiskCode": null,
"ShortDescription": "ECM Contract : 999990000000003",
"Description": "ECM Contract : 999990000000003",
"HoldReasonCode": null,
"HoldUntilDate": null,
"AmendmentEffectiveDate": null,
"TaxExemptionControl": "S",
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ProjectEnabledFlag": true,
"OutputTaxSetId": 204,
"PartyObjectType": "OKX_PARTY",
"PrimaryLedgerId": 1,
"CustomerPartyId": 1001,
"CustomerPartySiteId": 1008,
"GeneratedInvoiceStatus": null,
"OwningOrgId": null,
"NetInvoiceFlag": null,
"VersionType": "H",
"OwningOrgName": null,
"TaxClassificationMeaning": null,
"ExemptionReasonMeaning": null,
"FreightTerms": null,
"FOB": null,
"ApTermsId": null,
"TermsEnabledFlag": true,
"AmendRenderedFlag": "false",
"DeleteRenderedFlag": "false",
"ShipToLocationId": null,
"CancelRenderedFlag": false,
"CloseRenderedFlag": "false",
"ApplyHoldRenderedFlag": "false",
"RemoveHoldRenderedFlag": "false",
"RevertRenderedFlag": "false",
"SignContractRenderedFlag": "false",
"ServiceEnabledFlag": "false",
"EstimatedAmount": 0.0,
"TaxAmount": null,
"LastUpdateDate": "2008-09-05T15:28:17+00:00",
"LastUpdateLogin": "1",
"LastUpdatedBy": "1",
"VersionEnabledFlag": false,
"SubmitRenderedFlag": "false",
"CreatedBy": "1",
"CreationDate": "2008-09-05T15:28:17+00:00",
"CurrencyConversionEnabledFlag": "Y",
"LedgerCurrency": "USD",
"BilltoLocationId": null,
"StopApprovalRenderedFlag": "false",
"ValidateContractRenderedFlag": "true",
"AgreedAmount": null,
"AgreementAmountLimit": null,
"MinimumReleaseAmount": null,
"EncumbranceLevel": null,
"CarrierId": null,
"CarrierName": null,
"CloseReason": null,
"CancelReason": null,
"AuthoringPartyCode": null,
"PCDFileName": null,
"HoldReasonMeaning": null,
"PrimaryPartyId": 1001,
"OrigSystemId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"ItemSourceCode": "PRODUCT_MASTER",
"StateTransitionFlowName": null,
"StateTransitionFlowState": "ACTIVE",
"UserStatusCode": null,
"AssigneeType": null,
"AssigneeId": null,
"Assignee": null,
"CustomerPONumber": null,
"ApprovalNote": null,
"AccessLevel": "UPDATE",
"ContractEditableFlag": "true",
"TemplateFlag": false,
"BillingSalesrepId": null,
"BillingSalesrepName": null,
"EnableManageSignature": "N",
"ReopenEnabledFlag": false,
"VersionDescription": null,
"AllowTeamUserBUAccess": "true",
"PriceList": null,
"AdjustmentBasis": null,
"CommitmentAmount": 0,
"DiscountPercent": null,
"AllowGrantContractType": "N",
"PriceListName": null,
"TrnCodeSetId": null,
"HoldReasonCodeSetId": null,
"WebServiceFlag": null,
"TermsTemplateId": null,
"ContractOwnerId": null,
"Status": "Active",
"BuyOrSell_Meaning": "Sell",
"AuthoringPartyMeaning": null,
"InvOrgName": "Vision Operations",
"Supplier": null,
"SupplierSite": null,
"ShipInvOrg": "Vision Operations",
"RecvInvOrg": null,
"Currency": "US Dollar",
"UserStatusMeaning": null,
"LegalEntityName": "Vision Operations",
"ShipToOrgLocation": null,
"BillToLocation": null,
"AllowLinesFlag": true,
"EnableElectronicSignFlag": false,
"ContractTrueValue": null,
"ShipToPartyId": null,
"PricingStrategyId": null,
"PricingStrategyName": null,
"PricingSegmentCode": null,
"PricingEffectivityDate": null,
"ShipToPartyName": null,
"ShipToPartySiteLocation": null,
"CustomerPartyName": "A T & T SOLUTIONS INC",
"TermsTemplateName": null,
"TrxnExtensionId": null,
"BillToAccountPartyId": 1001,
"RenewalType": null,
"UnderMigrationFlag": null,
"TargetLineName": null,
"TargetLineId": null,
"TargetLineMajorVer": null,
"ContractId": 100100069430915,
"CorpCurrencyCode": null,
"CurcyConvRateType": null,
"PrimarySalesrepId": null,
"AmendNoVersionFlag": false,
"AutoSendForSignature": null,
"PriceApplicationRule": null,
"EsignTemplateId": null,
"SignContract": null,
"SendForSignature": null,
"NonStandardClauseCount": "0",
"CancelReasonSetCode": null,
"CloseReasonSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": "KHDR-117-1",
"EncumbranceLevelMeaning": null,
"FOBMeaning": null,
"FreightTermsMeaning": null,
"TaxExemptionControlMeaning": "Standard",
"SourceDocumentId": null,
"SourceDocumentSystemCode": null,
"SourceDocumentDisplayNumber": null,
"ApTermsName": null,
"RunContractExpertFlag": null,
"DocumentType": "ECM_SELL",
"ShareWithExternalPartyYn": "N",
"BaseContractYN": "N",
"SkipPDPFlag": null,
"InterCompanyFlag": false,
"InterProjectFlag": false,
"LineClassCode": "PROJECT",
"AiSummaryAttachInApprovalFlag": null,
"AiSummaryGenerateDate": null,
"AiSummaryPcdIncludedFlag": true,
"AiSummaryRequestId": null,
"AiSummaryRequestStatus": null,
"AiSummaryRequestStatusMeaning": null,
"SourceDocumentSystemMeaning": null,
"ContractTermsSourceCode": null,
"SimpleContractYn": null,
"TermsAuthoringPartyCode": null,
"AiAdvisorAgentFlag": null,
"TermsAuthoringPartyMeaning": null,
"ContractTermsSourceMeaning": null,
"FulfillmentStatus": null,
"FulfillmentStatusMeaning": null,
"PoDocumentStyleDisplay": null,
"PoDocumentStatusDisplay": null,
"PoSupplierName": null,
"PoHeaderId": null,
"PoVersionId": null,
"ProcessingId": null,
"ShareInSupplierPortalRenderedFlag": false,
"RedwoodFlag": null,
"ExtractKeyTermsRenderedFlag": false,
"PoDocumentNumber": null,
"AiSummSubmittedBy": null,
"AiSummSubmittedDate": null,
"AiSummSubmittedByDispName": null,
"SmartRedlineAgentTeamCode": null,
"ContractConstant": "CONTRACT",
"PoDocumentStatusCode": null,
"FulfillmentChrId": null,
"ContractParty": {
"items": [
{
"Id": 999990000002896,
"PartyRoleCode": "CUSTOMER",
"Role": "Customer",
"PartyId": 1001,
"PartyName": "A T & T SOLUTIONS INC",
"MajorVersion": 1,
"SignedBy": "PSR",
"SignedDate": "2008-09-29",
"SignerRole": null,
"PartyNumber": "1001",
"ExternalSource": null,
"ExternalKey": null,
"HeaderStartDate": "2008-08-06",
"DeleteFlag": null,
"PartyNameLOVSwitcher": "LOV_PartyName",
"ContractClass": "CONTRACT",
"PartyRolePuid": "PRTY-261-1",
"ContractPartyContact": {
"items": [
{
"Id": 999990000017313,
"ContactRoleCode": "PARTY_CONTACT",
"Role": "Customer contact",
"ContactId": 1010,
"EmailAddress": "sendmail-test-discard@oracle.com",
"StartDate": "2008-09-06",
"EndDate": null,
"OwnerFlag": "false",
"MajorVersion": 2,
"ExternalSource": null,
"ExternalKey": null,
"AccessLevel": null,
"AccessLevelName": null,
"PartyContactName": "Lisa Smith",
"SignerSequence": null,
"RoutingSequence": null,
"SignatureRole": null,
"SignatureRoleMeaning": null,
"ContactPuid": "CNTC-983",
"@context": {
"key": "999990000017313,2",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/child/ContractPartyContact/999990000017313%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/child/ContractPartyContact/999990000017313%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/child/ContractPartyContact/999990000017313%2C2/child/ContractPartyContactFlexfieldVA",
"name": "ContractPartyContactFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/child/ContractPartyContact/999990000017313%2C2/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
},
{
"Id": 999990000017312,
"ContactRoleCode": "PARTY_CONTACT",
"Role": "Customer contact",
"ContactId": 1009,
"EmailAddress": "sendmail-test-discard@oracle.com",
"StartDate": "2008-09-05",
"EndDate": null,
"OwnerFlag": "false",
"MajorVersion": 2,
"ExternalSource": null,
"ExternalKey": null,
"AccessLevel": null,
"AccessLevelName": null,
"PartyContactName": "Mike Kenton",
"SignerSequence": null,
"RoutingSequence": null,
"SignatureRole": null,
"SignatureRoleMeaning": null,
"ContactPuid": "CNTC-992",
"@context": {
"key": "999990000017312,2",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/child/ContractPartyContact/999990000017312%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/child/ContractPartyContact/999990000017312%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/child/ContractPartyContact/999990000017312%2C2/child/ContractPartyContactFlexfieldVA",
"name": "ContractPartyContactFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/child/ContractPartyContact/999990000017312%2C2/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
}
],
"count": 2,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
}
]
},
"@context": {
"key": "999990000002896,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/child/ContractPartyFlexfieldVA",
"name": "ContractPartyFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002896%2C1/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
},
{
"Id": 999990000002895,
"PartyRoleCode": "SUPPLIER",
"Role": "Supplier",
"PartyId": 204,
"PartyName": "Vision Operations",
"MajorVersion": 1,
"SignedBy": "PSR",
"SignedDate": "2008-09-29",
"SignerRole": null,
"PartyNumber": "204",
"ExternalSource": null,
"ExternalKey": null,
"HeaderStartDate": "2008-08-06",
"DeleteFlag": null,
"PartyNameLOVSwitcher": "LOV_PartyName",
"ContractClass": "CONTRACT",
"PartyRolePuid": "PRTY-260-1",
"ContractPartyContact": {
"items": [],
"count": 0,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002895%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
}
]
},
"@context": {
"key": "999990000002895,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002895%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002895%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002895%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002895%2C1/child/ContractPartyFlexfieldVA",
"name": "ContractPartyFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002895%2C1/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
},
{
"Id": 999990000002897,
"PartyRoleCode": "THIRD_PARTY",
"Role": "Third party",
"PartyId": 12463,
"PartyName": "McKesson General Medical",
"MajorVersion": 1,
"SignedBy": "PSR",
"SignedDate": "2008-09-29",
"SignerRole": null,
"PartyNumber": "9945",
"ExternalSource": null,
"ExternalKey": null,
"HeaderStartDate": "2008-08-06",
"DeleteFlag": null,
"PartyNameLOVSwitcher": "LOV_PartyName",
"ContractClass": "CONTRACT",
"PartyRolePuid": "PRTY-262-1",
"ContractPartyContact": {
"items": [
{
"Id": 999990000017314,
"ContactRoleCode": "PARTY_CONTACT",
"Role": "Customer contact",
"ContactId": 56884,
"EmailAddress": "sendmail-test-discard@oracle.com",
"StartDate": "2008-09-05",
"EndDate": null,
"OwnerFlag": "false",
"MajorVersion": 2,
"ExternalSource": null,
"ExternalKey": null,
"AccessLevel": null,
"AccessLevelName": null,
"PartyContactName": "John Wilson",
"SignerSequence": null,
"RoutingSequence": null,
"SignatureRole": null,
"SignatureRoleMeaning": null,
"ContactPuid": "CNTC-984",
"@context": {
"key": "999990000017314,2",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/child/ContractPartyContact/999990000017314%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/child/ContractPartyContact/999990000017314%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/child/ContractPartyContact/999990000017314%2C2/child/ContractPartyContactFlexfieldVA",
"name": "ContractPartyContactFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/child/ContractPartyContact/999990000017314%2C2/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
},
{
"Id": 999990000017315,
"ContactRoleCode": "PARTY_CONTACT",
"Role": "Customer contact",
"ContactId": 118179,
"EmailAddress": "sendmail-test-discard@oracle.com",
"StartDate": "2008-09-06",
"EndDate": null,
"OwnerFlag": "false",
"MajorVersion": 2,
"ExternalSource": null,
"ExternalKey": null,
"AccessLevel": null,
"AccessLevelName": null,
"PartyContactName": "Chester Paul",
"SignerSequence": null,
"RoutingSequence": null,
"SignatureRole": null,
"SignatureRoleMeaning": null,
"ContactPuid": "CNTC-985",
"@context": {
"key": "999990000017315,2",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/child/ContractPartyContact/999990000017315%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/child/ContractPartyContact/999990000017315%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/child/ContractPartyContact/999990000017315%2C2/child/ContractPartyContactFlexfieldVA",
"name": "ContractPartyContactFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/child/ContractPartyContact/999990000017315%2C2/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
}
],
"count": 2,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
}
]
},
"@context": {
"key": "999990000002897,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/child/ContractPartyFlexfieldVA",
"name": "ContractPartyFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty/999990000002897%2C1/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
}
],
"count": 3,
"hasMore": true,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty",
"name": "ContractParty",
"kind": "collection"
}
]
},
"@context": {
"key": "100100069430915",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915",
"name": "contracts",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/AiGenerateSummaryDocs",
"name": "AiGenerateSummaryDocs",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/BillPlan",
"name": "BillPlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractApprovalHistory",
"name": "ContractApprovalHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractDocuments",
"name": "ContractDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractEsignHistory",
"name": "ContractEsignHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractHeaderFlexfieldVA",
"name": "ContractHeaderFlexfieldVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractHeaderTranslation",
"name": "ContractHeaderTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractLine",
"name": "ContractLine",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractParty",
"name": "ContractParty",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractStatusHistory",
"name": "ContractStatusHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ContractTerms",
"name": "ContractTerms",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/ExternalSharedDocuments",
"name": "ExternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/InternalSharedDocuments",
"name": "InternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/Note",
"name": "Note",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/RelatedDocument",
"name": "RelatedDocument",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/RevenuePlan",
"name": "RevenuePlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/Section",
"name": "Section",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/SupportingDocuments",
"name": "SupportingDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/UploadedRevisions",
"name": "UploadedRevisions",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/contractKeyTermExtracts",
"name": "contractKeyTermExtracts",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/child/smartActions",
"name": "smartActions",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/validateContract",
"name": "validateContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/createVersion",
"name": "createVersion",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/revertContract",
"name": "revertContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/sign",
"name": "sign",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/submitForApproval",
"name": "submitForApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/downloadLatestContractDocument",
"name": "downloadLatestContractDocument",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/classifyKeyTerms",
"name": "classifyKeyTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/stopApproval",
"name": "stopApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/getAllInternalPartyContacts",
"name": "getAllInternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/getAllExternalPartyContacts",
"name": "getAllExternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/downloadAIContractSummaryPDF",
"name": "downloadAIContractSummaryPDF",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/isContractRedwoodCompatible",
"name": "isContractRedwoodCompatible",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/getDefaultTermsTemplate",
"name": "getDefaultTermsTemplate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/duplicate",
"name": "duplicate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/preview",
"name": "preview",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/amend",
"name": "amend",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/extractKeyTermValues",
"name": "extractKeyTermValues",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/downloadContractTermsInWord",
"name": "downloadContractTermsInWord",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/generateContractSummary",
"name": "generateContractSummary",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/shareInSupplierPortal",
"name": "shareInSupplierPortal",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/createContractEnvelopeForSignature",
"name": "createContractEnvelopeForSignature",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/manageContractEnvelopeStatus",
"name": "manageContractEnvelopeStatus",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/manageContractSignatureEnvelope",
"name": "manageContractSignatureEnvelope",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/removeContractTerms",
"name": "removeContractTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/getSignedContractEnvelopeHistoryUrl",
"name": "getSignedContractEnvelopeHistoryUrl",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/addContractTermsStructured",
"name": "addContractTermsStructured",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/action/addContractTermsAttachedDocument",
"name": "addContractTermsAttachedDocument",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430915/enclosure/AiSummary",
"name": "AiSummary",
"kind": "other"
}
]
}
},
{
"Id": 999990000000011,
"MajorVersion": 1,
"ExternalSource": null,
"ExternalKey": null,
"InvConvRateTypeName": null,
"InvConvRateDateTypeName": null,
"OrgName": "Vision Operations",
"OrgId": 204,
"ContractTypeName": "Sell : Project lines",
"ContractClass": "CONTRACT",
"ContractTypeId": 104,
"ContractNumber": "ECM Contract : 999990000000011",
"ContractNumberModifier": null,
"Cognomen": "ECM Contract : 999990000000011",
"BuyOrSell": "S",
"PartyId": 1001,
"PartyName": "A T & T SOLUTIONS INC",
"InvOrganizationId": 204,
"StsCode": "CLOSED",
"CurrencyCode": "USD",
"StartDate": "2008-08-06",
"EndDate": "2009-08-06",
"TrnCode": "CLOSE",
"SupplierId": null,
"SupplierSiteId": null,
"InvConvRateType": null,
"InvConvRateDateType": null,
"InvConvRateDate": null,
"InvTrxTypeId": 324,
"InvTrxTypeName": "Inv-Consult-South",
"InvPrepayTrxTypeId": null,
"InvPrepayTrxTypeName": null,
"BillToAccountId": 1001,
"BillToAccount": "A T & T SOLUTIONS INC",
"BillToAccountNumber": "1001",
"BillToSiteUseId": 1006,
"BillToSiteUseLocation": "New York (OPS)",
"BillToAddress": "32 Ave of the Americas,NEW YORK, NY 10013",
"ShipToAccountId": 1001,
"ShipToAccount": "A T & T SOLUTIONS INC",
"ShipToAccountNumber": "1001",
"ShipToSiteUseId": 1008,
"ShipToSiteUseLocation": "Parsippany (OPS)",
"ShipToAddress": "3455 Elm Street,NJ",
"ShipToAccountDescription": "AT&T",
"SoldToAccountId": null,
"SoldToAccount": null,
"SoldToAccountNumber": null,
"SoldToSiteId": null,
"SoldToNumber": null,
"SoldToAddress": null,
"SoldToAccountDescription": null,
"ShipInvOrgId": 204,
"RecvInvOrgId": null,
"LegalEntityId": 204,
"OutputTaxClassificationCode": null,
"DateApproved": "2008-08-05",
"DatetimeCancelled": null,
"DateSigned": "2008-08-05",
"DateTerminated": "2008-10-05",
"TerminateCancelSource": "MANUAL",
"ContributionPercent": null,
"BillSequence": null,
"OverallRiskCode": null,
"ShortDescription": "ECM Contract : 999990000000011",
"Description": "ECM Contract : 999990000000011",
"HoldReasonCode": null,
"HoldUntilDate": null,
"AmendmentEffectiveDate": null,
"TaxExemptionControl": "S",
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ProjectEnabledFlag": true,
"OutputTaxSetId": 204,
"PartyObjectType": "OKX_PARTY",
"PrimaryLedgerId": 1,
"CustomerPartyId": 1001,
"CustomerPartySiteId": 1008,
"GeneratedInvoiceStatus": null,
"OwningOrgId": null,
"NetInvoiceFlag": null,
"VersionType": "H",
"OwningOrgName": null,
"TaxClassificationMeaning": null,
"ExemptionReasonMeaning": null,
"FreightTerms": null,
"FOB": null,
"ApTermsId": null,
"TermsEnabledFlag": true,
"AmendRenderedFlag": "false",
"DeleteRenderedFlag": "false",
"ShipToLocationId": null,
"CancelRenderedFlag": false,
"CloseRenderedFlag": "false",
"ApplyHoldRenderedFlag": "false",
"RemoveHoldRenderedFlag": "false",
"RevertRenderedFlag": "false",
"SignContractRenderedFlag": "false",
"ServiceEnabledFlag": "false",
"EstimatedAmount": 0.0,
"TaxAmount": null,
"LastUpdateDate": "2008-09-05T15:28:17+00:00",
"LastUpdateLogin": "1",
"LastUpdatedBy": "1",
"VersionEnabledFlag": false,
"SubmitRenderedFlag": "false",
"CreatedBy": "1",
"CreationDate": "2008-09-05T15:28:17+00:00",
"CurrencyConversionEnabledFlag": "Y",
"LedgerCurrency": "USD",
"BilltoLocationId": null,
"StopApprovalRenderedFlag": "false",
"ValidateContractRenderedFlag": "true",
"AgreedAmount": null,
"AgreementAmountLimit": null,
"MinimumReleaseAmount": null,
"EncumbranceLevel": null,
"CarrierId": null,
"CarrierName": null,
"CloseReason": "Contract Closed",
"CancelReason": null,
"AuthoringPartyCode": null,
"PCDFileName": null,
"HoldReasonMeaning": null,
"PrimaryPartyId": 1001,
"OrigSystemId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"ItemSourceCode": "PRODUCT_MASTER",
"StateTransitionFlowName": null,
"StateTransitionFlowState": "CLOSED",
"UserStatusCode": null,
"AssigneeType": null,
"AssigneeId": null,
"Assignee": null,
"CustomerPONumber": null,
"ApprovalNote": null,
"AccessLevel": "UPDATE",
"ContractEditableFlag": "true",
"TemplateFlag": false,
"BillingSalesrepId": null,
"BillingSalesrepName": null,
"EnableManageSignature": "N",
"ReopenEnabledFlag": true,
"VersionDescription": null,
"AllowTeamUserBUAccess": "true",
"PriceList": null,
"AdjustmentBasis": null,
"CommitmentAmount": 0,
"DiscountPercent": null,
"AllowGrantContractType": "N",
"PriceListName": null,
"TrnCodeSetId": 21,
"HoldReasonCodeSetId": null,
"WebServiceFlag": null,
"TermsTemplateId": null,
"ContractOwnerId": null,
"Status": "Closed",
"BuyOrSell_Meaning": "Sell",
"AuthoringPartyMeaning": null,
"InvOrgName": "Vision Operations",
"Supplier": null,
"SupplierSite": null,
"ShipInvOrg": "Vision Operations",
"RecvInvOrg": null,
"Currency": "US Dollar",
"UserStatusMeaning": null,
"LegalEntityName": "Vision Operations",
"ShipToOrgLocation": null,
"BillToLocation": null,
"AllowLinesFlag": true,
"EnableElectronicSignFlag": false,
"ContractTrueValue": null,
"ShipToPartyId": null,
"PricingStrategyId": null,
"PricingStrategyName": null,
"PricingSegmentCode": null,
"PricingEffectivityDate": null,
"ShipToPartyName": null,
"ShipToPartySiteLocation": null,
"CustomerPartyName": "A T & T SOLUTIONS INC",
"TermsTemplateName": null,
"TrxnExtensionId": null,
"BillToAccountPartyId": 1001,
"RenewalType": null,
"UnderMigrationFlag": null,
"TargetLineName": null,
"TargetLineId": null,
"TargetLineMajorVer": null,
"ContractId": 100100069430923,
"CorpCurrencyCode": null,
"CurcyConvRateType": null,
"PrimarySalesrepId": null,
"AmendNoVersionFlag": false,
"AutoSendForSignature": null,
"PriceApplicationRule": null,
"EsignTemplateId": null,
"SignContract": null,
"SendForSignature": null,
"NonStandardClauseCount": "0",
"CancelReasonSetCode": null,
"CloseReasonSetCode": "ENTERPRISE",
"HoldReasonSetCode": null,
"ContractPuid": "KHDR-118-1",
"EncumbranceLevelMeaning": null,
"FOBMeaning": null,
"FreightTermsMeaning": null,
"TaxExemptionControlMeaning": "Standard",
"SourceDocumentId": null,
"SourceDocumentSystemCode": null,
"SourceDocumentDisplayNumber": null,
"ApTermsName": null,
"RunContractExpertFlag": null,
"DocumentType": "ECM_SELL",
"ShareWithExternalPartyYn": "N",
"BaseContractYN": "N",
"SkipPDPFlag": null,
"InterCompanyFlag": false,
"InterProjectFlag": false,
"LineClassCode": "PROJECT",
"AiSummaryAttachInApprovalFlag": null,
"AiSummaryGenerateDate": null,
"AiSummaryPcdIncludedFlag": true,
"AiSummaryRequestId": null,
"AiSummaryRequestStatus": null,
"AiSummaryRequestStatusMeaning": null,
"SourceDocumentSystemMeaning": null,
"ContractTermsSourceCode": null,
"SimpleContractYn": null,
"TermsAuthoringPartyCode": null,
"AiAdvisorAgentFlag": null,
"TermsAuthoringPartyMeaning": null,
"ContractTermsSourceMeaning": null,
"FulfillmentStatus": null,
"FulfillmentStatusMeaning": null,
"PoDocumentStyleDisplay": null,
"PoDocumentStatusDisplay": null,
"PoSupplierName": null,
"PoHeaderId": null,
"PoVersionId": null,
"ProcessingId": null,
"ShareInSupplierPortalRenderedFlag": false,
"RedwoodFlag": null,
"ExtractKeyTermsRenderedFlag": false,
"PoDocumentNumber": null,
"AiSummSubmittedBy": null,
"AiSummSubmittedDate": null,
"AiSummSubmittedByDispName": null,
"SmartRedlineAgentTeamCode": null,
"ContractConstant": "CONTRACT",
"PoDocumentStatusCode": null,
"FulfillmentChrId": null,
"ContractParty": {
"items": [
{
"Id": 999990000002936,
"PartyRoleCode": "CUSTOMER",
"Role": "Customer",
"PartyId": 1001,
"PartyName": "A T & T SOLUTIONS INC",
"MajorVersion": 1,
"SignedBy": "PSR",
"SignedDate": "2008-09-29",
"SignerRole": null,
"PartyNumber": "1001",
"ExternalSource": null,
"ExternalKey": null,
"HeaderStartDate": "2008-08-06",
"DeleteFlag": null,
"PartyNameLOVSwitcher": "LOV_PartyName",
"ContractClass": "CONTRACT",
"PartyRolePuid": "PRTY-266-1",
"ContractPartyContact": {
"items": [
{
"Id": 999990000017392,
"ContactRoleCode": "PARTY_CONTACT",
"Role": "Customer contact",
"ContactId": 1009,
"EmailAddress": "sendmail-test-discard@oracle.com",
"StartDate": "2008-09-05",
"EndDate": null,
"OwnerFlag": "false",
"MajorVersion": 2,
"ExternalSource": null,
"ExternalKey": null,
"AccessLevel": null,
"AccessLevelName": null,
"PartyContactName": "Mike Kenton",
"SignerSequence": null,
"RoutingSequence": null,
"SignatureRole": null,
"SignatureRoleMeaning": null,
"ContactPuid": "CNTC-1007",
"@context": {
"key": "999990000017392,2",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/child/ContractPartyContact/999990000017392%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/child/ContractPartyContact/999990000017392%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/child/ContractPartyContact/999990000017392%2C2/child/ContractPartyContactFlexfieldVA",
"name": "ContractPartyContactFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/child/ContractPartyContact/999990000017392%2C2/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
},
{
"Id": 999990000017393,
"ContactRoleCode": "PARTY_CONTACT",
"Role": "Customer contact",
"ContactId": 1010,
"EmailAddress": "sendmail-test-discard@oracle.com",
"StartDate": "2008-09-06",
"EndDate": null,
"OwnerFlag": "false",
"MajorVersion": 2,
"ExternalSource": null,
"ExternalKey": null,
"AccessLevel": null,
"AccessLevelName": null,
"PartyContactName": "Lisa Smith",
"SignerSequence": null,
"RoutingSequence": null,
"SignatureRole": null,
"SignatureRoleMeaning": null,
"ContactPuid": "CNTC-1008",
"@context": {
"key": "999990000017393,2",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/child/ContractPartyContact/999990000017393%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/child/ContractPartyContact/999990000017393%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/child/ContractPartyContact/999990000017393%2C2/child/ContractPartyContactFlexfieldVA",
"name": "ContractPartyContactFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/child/ContractPartyContact/999990000017393%2C2/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
}
],
"count": 2,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
}
]
},
"@context": {
"key": "999990000002936,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/child/ContractPartyFlexfieldVA",
"name": "ContractPartyFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002936%2C1/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
},
{
"Id": 999990000002935,
"PartyRoleCode": "SUPPLIER",
"Role": "Supplier",
"PartyId": 204,
"PartyName": "Vision Operations",
"MajorVersion": 1,
"SignedBy": "PSR",
"SignedDate": "2008-09-29",
"SignerRole": null,
"PartyNumber": "204",
"ExternalSource": null,
"ExternalKey": null,
"HeaderStartDate": "2008-08-06",
"DeleteFlag": null,
"PartyNameLOVSwitcher": "LOV_PartyName",
"ContractClass": "CONTRACT",
"PartyRolePuid": "PRTY-265-1",
"ContractPartyContact": {
"items": [],
"count": 0,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002935%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
}
]
},
"@context": {
"key": "999990000002935,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002935%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002935%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002935%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002935%2C1/child/ContractPartyFlexfieldVA",
"name": "ContractPartyFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002935%2C1/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
},
{
"Id": 999990000002937,
"PartyRoleCode": "THIRD_PARTY",
"Role": "Third party",
"PartyId": 12463,
"PartyName": "McKesson General Medical",
"MajorVersion": 1,
"SignedBy": "PSR",
"SignedDate": "2008-09-29",
"SignerRole": null,
"PartyNumber": "9945",
"ExternalSource": null,
"ExternalKey": null,
"HeaderStartDate": "2008-08-06",
"DeleteFlag": null,
"PartyNameLOVSwitcher": "LOV_PartyName",
"ContractClass": "CONTRACT",
"PartyRolePuid": "PRTY-267-1",
"ContractPartyContact": {
"items": [
{
"Id": 999990000017394,
"ContactRoleCode": "PARTY_CONTACT",
"Role": "Customer contact",
"ContactId": 56884,
"EmailAddress": "sendmail-test-discard@oracle.com",
"StartDate": "2008-09-05",
"EndDate": null,
"OwnerFlag": "false",
"MajorVersion": 2,
"ExternalSource": null,
"ExternalKey": null,
"AccessLevel": null,
"AccessLevelName": null,
"PartyContactName": "John Wilson",
"SignerSequence": null,
"RoutingSequence": null,
"SignatureRole": null,
"SignatureRoleMeaning": null,
"ContactPuid": "CNTC-1009",
"@context": {
"key": "999990000017394,2",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/child/ContractPartyContact/999990000017394%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/child/ContractPartyContact/999990000017394%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/child/ContractPartyContact/999990000017394%2C2/child/ContractPartyContactFlexfieldVA",
"name": "ContractPartyContactFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/child/ContractPartyContact/999990000017394%2C2/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
},
{
"Id": 999990000017395,
"ContactRoleCode": "PARTY_CONTACT",
"Role": "Customer contact",
"ContactId": 118179,
"EmailAddress": "sendmail-test-discard@oracle.com",
"StartDate": "2008-09-06",
"EndDate": null,
"OwnerFlag": "false",
"MajorVersion": 2,
"ExternalSource": null,
"ExternalKey": null,
"AccessLevel": null,
"AccessLevelName": null,
"PartyContactName": "Chester Paul",
"SignerSequence": null,
"RoutingSequence": null,
"SignatureRole": null,
"SignatureRoleMeaning": null,
"ContactPuid": "CNTC-1010",
"@context": {
"key": "999990000017395,2",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/child/ContractPartyContact/999990000017395%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/child/ContractPartyContact/999990000017395%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/child/ContractPartyContact/999990000017395%2C2/child/ContractPartyContactFlexfieldVA",
"name": "ContractPartyContactFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/child/ContractPartyContact/999990000017395%2C2/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
}
],
"count": 2,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
}
]
},
"@context": {
"key": "999990000002937,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/child/ContractPartyFlexfieldVA",
"name": "ContractPartyFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty/999990000002937%2C1/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
}
],
"count": 3,
"hasMore": true,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty",
"name": "ContractParty",
"kind": "collection"
}
]
},
"@context": {
"key": "100100069430923",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923",
"name": "contracts",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923",
"name": "contracts",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/AiGenerateSummaryDocs",
"name": "AiGenerateSummaryDocs",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/BillPlan",
"name": "BillPlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/BillingControl",
"name": "BillingControl",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractApprovalHistory",
"name": "ContractApprovalHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractDocuments",
"name": "ContractDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractEsignHistory",
"name": "ContractEsignHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractHeaderFlexfieldVA",
"name": "ContractHeaderFlexfieldVA",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractHeaderTranslation",
"name": "ContractHeaderTranslation",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractLine",
"name": "ContractLine",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractParty",
"name": "ContractParty",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractStatusHistory",
"name": "ContractStatusHistory",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ContractTerms",
"name": "ContractTerms",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/ExternalSharedDocuments",
"name": "ExternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/InternalSharedDocuments",
"name": "InternalSharedDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/Note",
"name": "Note",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/RelatedDocument",
"name": "RelatedDocument",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/RevenuePlan",
"name": "RevenuePlan",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/SalesCredit",
"name": "SalesCredit",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/Section",
"name": "Section",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/SupportingDocuments",
"name": "SupportingDocuments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/UploadedRevisions",
"name": "UploadedRevisions",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/contractKeyTermExtracts",
"name": "contractKeyTermExtracts",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/child/smartActions",
"name": "smartActions",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/validateContract",
"name": "validateContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/createVersion",
"name": "createVersion",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/revertContract",
"name": "revertContract",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/sign",
"name": "sign",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/submitForApproval",
"name": "submitForApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/downloadLatestContractDocument",
"name": "downloadLatestContractDocument",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/classifyKeyTerms",
"name": "classifyKeyTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/stopApproval",
"name": "stopApproval",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/reopen",
"name": "reopen",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/getAllInternalPartyContacts",
"name": "getAllInternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/getAllExternalPartyContacts",
"name": "getAllExternalPartyContacts",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/downloadAIContractSummaryPDF",
"name": "downloadAIContractSummaryPDF",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/isContractRedwoodCompatible",
"name": "isContractRedwoodCompatible",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/getDefaultTermsTemplate",
"name": "getDefaultTermsTemplate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/applyHold",
"name": "applyHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/removeHold",
"name": "removeHold",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/cancel",
"name": "cancel",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/duplicate",
"name": "duplicate",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/preview",
"name": "preview",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/close",
"name": "close",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/amend",
"name": "amend",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/extractKeyTermValues",
"name": "extractKeyTermValues",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/downloadContractTermsInWord",
"name": "downloadContractTermsInWord",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/generateContractSummary",
"name": "generateContractSummary",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/shareInSupplierPortal",
"name": "shareInSupplierPortal",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/createContractEnvelopeForSignature",
"name": "createContractEnvelopeForSignature",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/manageContractEnvelopeStatus",
"name": "manageContractEnvelopeStatus",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/manageContractSignatureEnvelope",
"name": "manageContractSignatureEnvelope",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/removeContractTerms",
"name": "removeContractTerms",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/getSignedContractEnvelopeHistoryUrl",
"name": "getSignedContractEnvelopeHistoryUrl",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/addContractTermsStructured",
"name": "addContractTermsStructured",
"kind": "other"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/action/addContractTermsAttachedDocument",
"name": "addContractTermsAttachedDocument",
"kind": "other"
},
{
"rel": "enclosure",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430923/enclosure/AiSummary",
"name": "AiSummary",
"kind": "other"
}
]
}
},
{
"Id": 999990000000035,
"MajorVersion": 1,
"ExternalSource": null,
"ExternalKey": null,
"InvConvRateTypeName": null,
"InvConvRateDateTypeName": null,
"OrgName": "Vision Operations",
"OrgId": 204,
"ContractTypeName": "Sell : Project lines",
"ContractClass": "CONTRACT",
"ContractTypeId": 104,
"ContractNumber": "ECM Contract : 999990000000035",
"ContractNumberModifier": null,
"Cognomen": "ECM Contract : 999990000000035",
"BuyOrSell": "S",
"PartyId": 1001,
"PartyName": "A T & T SOLUTIONS INC",
"InvOrganizationId": 204,
"StsCode": "EXPIRED",
"CurrencyCode": "USD",
"StartDate": "2007-09-05",
"EndDate": "2008-09-04",
"TrnCode": null,
"SupplierId": null,
"SupplierSiteId": null,
"InvConvRateType": null,
"InvConvRateDateType": null,
"InvConvRateDate": null,
"InvTrxTypeId": 324,
"InvTrxTypeName": "Inv-Consult-South",
"InvPrepayTrxTypeId": null,
"InvPrepayTrxTypeName": null,
"BillToAccountId": 1001,
"BillToAccount": "A T & T SOLUTIONS INC",
"BillToAccountNumber": "1001",
"BillToSiteUseId": 1006,
"BillToSiteUseLocation": "New York (OPS)",
"BillToAddress": "32 Ave of the Americas,NEW YORK, NY 10013",
"ShipToAccountId": 1001,
"ShipToAccount": "A T & T SOLUTIONS INC",
"ShipToAccountNumber": "1001",
"ShipToSiteUseId": 1008,
"ShipToSiteUseLocation": "Parsippany (OPS)",
"ShipToAddress": "3455 Elm Street,NJ",
"ShipToAccountDescription": "AT&T",
"SoldToAccountId": null,
"SoldToAccount": null,
"SoldToAccountNumber": null,
"SoldToSiteId": null,
"SoldToNumber": null,
"SoldToAddress": null,
"SoldToAccountDescription": null,
"ShipInvOrgId": 204,
"RecvInvOrgId": null,
"LegalEntityId": 204,
"OutputTaxClassificationCode": null,
"DateApproved": "2007-09-04",
"DatetimeCancelled": null,
"DateSigned": "2007-09-04",
"DateTerminated": null,
"TerminateCancelSource": null,
"ContributionPercent": null,
"BillSequence": null,
"OverallRiskCode": null,
"ShortDescription": "ECM Contract : 999990000000035",
"Description": "ECM Contract : 999990000000035",
"HoldReasonCode": null,
"HoldUntilDate": null,
"AmendmentEffectiveDate": null,
"TaxExemptionControl": "S",
"ExemptCertificateNumber": null,
"ExemptReasonCode": null,
"ProjectEnabledFlag": true,
"OutputTaxSetId": 204,
"PartyObjectType": "OKX_PARTY",
"PrimaryLedgerId": 1,
"CustomerPartyId": 1001,
"CustomerPartySiteId": 1008,
"GeneratedInvoiceStatus": null,
"OwningOrgId": null,
"NetInvoiceFlag": null,
"VersionType": "H",
"OwningOrgName": null,
"TaxClassificationMeaning": null,
"ExemptionReasonMeaning": null,
"FreightTerms": null,
"FOB": null,
"ApTermsId": null,
"TermsEnabledFlag": true,
"AmendRenderedFlag": "false",
"DeleteRenderedFlag": "false",
"ShipToLocationId": null,
"CancelRenderedFlag": false,
"CloseRenderedFlag": "false",
"ApplyHoldRenderedFlag": "false",
"RemoveHoldRenderedFlag": "false",
"RevertRenderedFlag": "false",
"SignContractRenderedFlag": "false",
"ServiceEnabledFlag": "false",
"EstimatedAmount": 0.0,
"TaxAmount": null,
"LastUpdateDate": "2008-09-05T15:28:17+00:00",
"LastUpdateLogin": "1",
"LastUpdatedBy": "1",
"VersionEnabledFlag": false,
"SubmitRenderedFlag": "false",
"CreatedBy": "1",
"CreationDate": "2008-09-05T15:28:17+00:00",
"CurrencyConversionEnabledFlag": "Y",
"LedgerCurrency": "USD",
"BilltoLocationId": null,
"StopApprovalRenderedFlag": "false",
"ValidateContractRenderedFlag": "true",
"AgreedAmount": null,
"AgreementAmountLimit": null,
"MinimumReleaseAmount": null,
"EncumbranceLevel": null,
"CarrierId": null,
"CarrierName": null,
"CloseReason": null,
"CancelReason": null,
"AuthoringPartyCode": null,
"PCDFileName": null,
"HoldReasonMeaning": null,
"PrimaryPartyId": 1001,
"OrigSystemId": null,
"OrigSystemReference": null,
"OrigSystemSourceCode": null,
"ItemSourceCode": "PRODUCT_MASTER",
"StateTransitionFlowName": null,
"StateTransitionFlowState": "EXPIRED",
"UserStatusCode": null,
"AssigneeType": null,
"AssigneeId": null,
"Assignee": null,
"CustomerPONumber": null,
"ApprovalNote": null,
"AccessLevel": "UPDATE",
"ContractEditableFlag": "true",
"TemplateFlag": false,
"BillingSalesrepId": null,
"BillingSalesrepName": null,
"EnableManageSignature": "N",
"ReopenEnabledFlag": false,
"VersionDescription": null,
"AllowTeamUserBUAccess": "true",
"PriceList": null,
"AdjustmentBasis": null,
"CommitmentAmount": 0,
"DiscountPercent": null,
"AllowGrantContractType": "N",
"PriceListName": null,
"TrnCodeSetId": null,
"HoldReasonCodeSetId": null,
"WebServiceFlag": null,
"TermsTemplateId": null,
"ContractOwnerId": null,
"Status": "Expired",
"BuyOrSell_Meaning": "Sell",
"AuthoringPartyMeaning": null,
"InvOrgName": "Vision Operations",
"Supplier": null,
"SupplierSite": null,
"ShipInvOrg": "Vision Operations",
"RecvInvOrg": null,
"Currency": "US Dollar",
"UserStatusMeaning": null,
"LegalEntityName": "Vision Operations",
"ShipToOrgLocation": null,
"BillToLocation": null,
"AllowLinesFlag": true,
"EnableElectronicSignFlag": false,
"ContractTrueValue": null,
"ShipToPartyId": null,
"PricingStrategyId": null,
"PricingStrategyName": null,
"PricingSegmentCode": null,
"PricingEffectivityDate": null,
"ShipToPartyName": null,
"ShipToPartySiteLocation": null,
"CustomerPartyName": "A T & T SOLUTIONS INC",
"TermsTemplateName": null,
"TrxnExtensionId": null,
"BillToAccountPartyId": 1001,
"RenewalType": null,
"UnderMigrationFlag": null,
"TargetLineName": null,
"TargetLineId": null,
"TargetLineMajorVer": null,
"ContractId": 100100069430947,
"CorpCurrencyCode": null,
"CurcyConvRateType": null,
"PrimarySalesrepId": null,
"AmendNoVersionFlag": false,
"AutoSendForSignature": null,
"PriceApplicationRule": null,
"EsignTemplateId": null,
"SignContract": null,
"SendForSignature": null,
"NonStandardClauseCount": "0",
"CancelReasonSetCode": null,
"CloseReasonSetCode": null,
"HoldReasonSetCode": null,
"ContractPuid": "KHDR-126-1",
"EncumbranceLevelMeaning": null,
"FOBMeaning": null,
"FreightTermsMeaning": null,
"TaxExemptionControlMeaning": "Standard",
"SourceDocumentId": null,
"SourceDocumentSystemCode": null,
"SourceDocumentDisplayNumber": null,
"ApTermsName": null,
"RunContractExpertFlag": null,
"DocumentType": "ECM_SELL",
"ShareWithExternalPartyYn": "N",
"BaseContractYN": "N",
"SkipPDPFlag": null,
"InterCompanyFlag": false,
"InterProjectFlag": false,
"LineClassCode": "PROJECT",
"AiSummaryAttachInApprovalFlag": null,
"AiSummaryGenerateDate": null,
"AiSummaryPcdIncludedFlag": true,
"AiSummaryRequestId": null,
"AiSummaryRequestStatus": null,
"AiSummaryRequestStatusMeaning": null,
"SourceDocumentSystemMeaning": null,
"ContractTermsSourceCode": null,
"SimpleContractYn": null,
"TermsAuthoringPartyCode": null,
"AiAdvisorAgentFlag": null,
"TermsAuthoringPartyMeaning": null,
"ContractTermsSourceMeaning": null,
"FulfillmentStatus": null,
"FulfillmentStatusMeaning": null,
"PoDocumentStyleDisplay": null,
"PoDocumentStatusDisplay": null,
"PoSupplierName": null,
"PoHeaderId": null,
"PoVersionId": null,
"ProcessingId": null,
"ShareInSupplierPortalRenderedFlag": false,
"RedwoodFlag": null,
"ExtractKeyTermsRenderedFlag": false,
"PoDocumentNumber": null,
"AiSummSubmittedBy": null,
"AiSummSubmittedDate": null,
"AiSummSubmittedByDispName": null,
"SmartRedlineAgentTeamCode": null,
"ContractConstant": "CONTRACT",
"PoDocumentStatusCode": null,
"FulfillmentChrId": null,
"ContractParty": {
"items": [
{
"Id": 999990000003056,
"PartyRoleCode": "CUSTOMER",
"Role": "Customer",
"PartyId": 1001,
"PartyName": "A T & T SOLUTIONS INC",
"MajorVersion": 1,
"SignedBy": "PSR",
"SignedDate": "2008-09-29",
"SignerRole": null,
"PartyNumber": "1001",
"ExternalSource": null,
"ExternalKey": null,
"HeaderStartDate": "2007-09-05",
"DeleteFlag": null,
"PartyNameLOVSwitcher": "LOV_PartyName",
"ContractClass": "CONTRACT",
"PartyRolePuid": "PRTY-271-1",
"ContractPartyContact": {
"items": [
{
"Id": 999990000017632,
"ContactRoleCode": "PARTY_CONTACT",
"Role": "Customer contact",
"ContactId": 1009,
"EmailAddress": "sendmail-test-discard@oracle.com",
"StartDate": "2008-09-05",
"EndDate": null,
"OwnerFlag": "false",
"MajorVersion": 2,
"ExternalSource": null,
"ExternalKey": null,
"AccessLevel": null,
"AccessLevelName": null,
"PartyContactName": "Mike Kenton",
"SignerSequence": null,
"RoutingSequence": null,
"SignatureRole": null,
"SignatureRoleMeaning": null,
"ContactPuid": "CNTC-1024",
"@context": {
"key": "999990000017632,2",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1/child/ContractPartyContact/999990000017632%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1/child/ContractPartyContact/999990000017632%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1/child/ContractPartyContact/999990000017632%2C2/child/ContractPartyContactFlexfieldVA",
"name": "ContractPartyContactFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1/child/ContractPartyContact/999990000017632%2C2/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
},
{
"Id": 999990000017633,
"ContactRoleCode": "PARTY_CONTACT",
"Role": "Customer contact",
"ContactId": 1010,
"EmailAddress": "sendmail-test-discard@oracle.com",
"StartDate": "2008-09-06",
"EndDate": null,
"OwnerFlag": "false",
"MajorVersion": 2,
"ExternalSource": null,
"ExternalKey": null,
"AccessLevel": null,
"AccessLevelName": null,
"PartyContactName": "Lisa Smith",
"SignerSequence": null,
"RoutingSequence": null,
"SignatureRole": null,
"SignatureRoleMeaning": null,
"ContactPuid": "CNTC-1025",
"@context": {
"key": "999990000017633,2",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1/child/ContractPartyContact/999990000017633%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1/child/ContractPartyContact/999990000017633%2C2",
"name": "ContractPartyContact",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1/child/ContractPartyContact/999990000017633%2C2/child/ContractPartyContactFlexfieldVA",
"name": "ContractPartyContactFlexfieldVA",
"kind": "collection"
},
{
"rel": "action",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1/child/ContractPartyContact/999990000017633%2C2/action/getUpdatableAttributes",
"name": "getUpdatableAttributes",
"kind": "other"
}
]
}
}
],
"count": 2,
"hasMore": false,
"limit": 3,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1/child/ContractPartyContact",
"name": "ContractPartyContact",
"kind": "collection"
}
]
},
"@context": {
"key": "999990000003056,1",
"headers": {
"ETag": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
},
"links": [
{
"rel": "self",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947/child/ContractParty/999990000003056%2C1",
"name": "ContractParty",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername.fa.us2.oraclecloud.com/fscmRestApi/resources/11.13.18.05/contracts/100100069430947",
"name": "contracts",
"kind": "item"
},
[...]
